## Classes

### Coverage Distribution

### Complexity

### Insufficient Coverage

Class | Coverage
--- | ---
Workerman\Events\Select | 24%

### Project Risks

Class | CRAP
--- | ---
Workerman\Events\Select | 1784

## Methods

### Coverage Distribution

### Complexity

### Insufficient Coverage

Method | Coverage
--- | ---
delay | 0%
repeat | 0%
offDelay | 0%
offRepeat | 0%
onWritable | 0%
onExcept | 0%
offExcept | 0%
offSignal | 0%
tick | 0%
setNextTickTime | 0%
deleteAllTimer | 0%
stop | 0%
getTimerCount | 0%
safeCall | 20%
run | 57%
offWritable | 60%
onReadable | 75%
onSignal | 75%
offReadable | 80%

### Project Risks

Method | CRAP
--- | ---
tick | 56
run | 35
onWritable | 20
delay | 12
repeat | 12
offSignal | 12
safeCall | 7
offDelay | 6
offExcept | 6
setNextTickTime | 6
stop | 6
onReadable | 4
offWritable | 2
onSignal | 2
offReadable | 2